//proto.h:

/*
 *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2012-2013
 *
 *  This file is part of SavannahIce,
 *  a protocol converter between RoarAudio and Icecast.
 *  See README for details.
 *
 *  This file is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3
 *  as published by the Free Software Foundation.
 *
 *  RoarAudio is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this software; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
 *  Boston, MA 02110-1301, USA.
 *
 */

#ifndef _SAVABBAHICE_PROTO_H_
#define _SAVABBAHICE_PROTO_H_

#define SAVANNAHICE_CLIENT_STATUS_BUSY    0x0000

typedef struct {
 int used;
 const struct roar_keyval * para;
 ssize_t paralen;
 struct roar_dl_librarypara * pluginpara;
 struct roar_dl_lhandle * lhandle;

 const struct roar_dl_proto * impl;
} savannahice_protocol_t;

extern const struct roar_dl_proto g_proto_roar_impl;

#endif

//ll
