//pool.h:

/*
 *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2012-2013
 *
 *  This file is part of SavannahIce,
 *  a protocol converter between RoarAudio and Icecast.
 *  See README for details.
 *
 *  This file is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 3
 *  as published by the Free Software Foundation.
 *
 *  RoarAudio is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this software; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
 *  Boston, MA 02110-1301, USA.
 *
 */

#ifndef _SAVABBAHICE_POOL_H_
#define _SAVABBAHICE_POOL_H_

struct savannahice_pool;
typedef struct savannahice_pool * savannahice_pool_t;

savannahice_pool_t savannahice_pool_new(ssize_t size);
int savannahice_pool_ref(savannahice_pool_t * _p);
int savannahice_pool_unref(savannahice_pool_t * _p);

int savannahice_pool_id_new(savannahice_pool_t * _p);
int savannahice_pool_id_free(savannahice_pool_t * _p, int id);

#endif

//ll
